<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingLeft="10dp"
        android:paddingTop="10dp"
        android:paddingRight="10dp"
        android:paddingBottom="10dp"
        tools:layout_editor_absoluteX="16dp"
        tools:layout_editor_absoluteY="92dp">

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/txtMensaje"
        android:text="@string/miempresa"
        android:gravity="center"
        android:textColor="@color/micolor"/>

        <EditText
            android:id="@+id/txtNombre"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:gravity="center"
            android:hint="Escribe aquí tu nombre"
            android:paddingTop="10dp"
            android:textColor="@color/micolor"></EditText>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/txtSalida"
        android:textSize="20dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:textAlignment="center">
    </TextView>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="end|bottom"
            android:orientation="vertical"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp">

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Saludar"
                android:id="@+id/btnSaludar">
            </Button>

            <Button
                android:id="@+id/btnCerrar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Cerrar"></Button>

        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>